Bug 112154 - anaconda crashes with "Invalid raidlevel in RaidRequest.getActualSize"
anaconda crashes with "Invalid raidlevel in RaidRequest.getActualSize"
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-12-15 09:36 EST by John Borwick
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-22 17:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump (93.12 KB, text/plain)
2003-12-15 09:37 EST, John Borwick
no flags Details
anaconda saved syslog (41.21 KB, text/plain)
2003-12-15 09:38 EST, John Borwick
no flags Details

  None (edit)
Description John Borwick 2003-12-15 09:36:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)

Description of problem:
When performing a PXE network install w/ kickstart file on an IBM
eServer xSeries 345 with dual fiberchannel adapters (QLogic cards,
model QLA2200F), anaconda crashes.  It told me to send the error to
you guys.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. put fiberchannel cards in server
[ probably doesn't matter whether it's a PXE or CD-based install ]
[ 2a. configure machine to boot w/ PXE        ]
[ 2b. set up PXE boot server & kickstart file ]
3. turn computer on

Actual Results:  Anaconda emits an error message, which I can choose
to save to disk.  Machine is not installed.

Expected Results:  Anaconda uses kickstart file to install OS on local
drives, installing drivers for (or ignoring) QLogic fiberchannel
adapters.  In an ideal world, /dev/sda would then be the local drive,
and /dev/sd[bc] would be the fiberchannel adapters.

Additional info:

Kickstart file *works* on identical system without QLogic cards.
Comment 1 John Borwick 2003-12-15 09:37:41 EST
Created attachment 96538 [details]
Anaconda dump

anacdump.txt saved from anaconda crash
Comment 2 John Borwick 2003-12-15 09:38:42 EST
Created attachment 96539 [details]
anaconda saved syslog

The only other thing on the anaconda crash disk: the syslog
Comment 3 Jeremy Katz 2003-12-16 12:54:33 EST
What sort of RAID do you have on the disks attached to the qlogic card?  
Comment 4 John Borwick 2003-12-16 13:14:22 EST
There are 9 LUNs on each of two qlogic cards, plus two local drives. 
There is no RAID on the LUNs.

Depending on when the qlogic cards are detected (vs. when the local
drives are detected), after installation the qlogic cards can end up
being sda-sdi, sdj-sdr, and local drives sds, sdt.
Comment 5 Jeremy Katz 2003-12-16 16:31:01 EST
Are you sure about that?  It looks to me from the syslog that there's
some leftover RAID4 cruft on the disks...
Comment 6 John Borwick 2003-12-17 09:33:41 EST
You're right.  I didn't realize that the software RAID would be
activated, but I guess it is because the kickstart file doesn't
explicitly reformat it.  We fixed the problem over here.  Thank you!
Comment 7 Suzanne Hillman 2003-12-22 17:08:07 EST
Closing as NOTABUG, as per comment #6.

Note You need to log in before you can comment on or make changes to this bug.